#
# spec file for package python-dukpy
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-dukpy
Version:        0.2.0
Release:        3.45
Summary:        JavaScript interpreter for Python
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/amol-/dukpy
Source:         https://files.pythonhosted.org/packages/source/d/dukpy/dukpy-%{version}.tar.gz
Source10:       https://raw.githubusercontent.com/amol-/dukpy/%{version}/LICENSE
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Recommends:     python-webassets

%python_subpackages

%description
DukPy is a javascript interpreter for Python built on top of
duktape engine.
It comes with a bunch of common transpilers built-in for convenience:

    - CoffeeScript
    - BabelJS
    - TypeScript
    - JSX
    - LESS

%prep
%setup -q -n dukpy-%{version}
cp %{SOURCE10} .
chmod a-x dukpy/jsmodules/react/react-dom-server.js

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%files %{python_files}
%doc README.rst
%license LICENSE
%python3_only %{_bindir}/dukpy-install
%python3_only %{_bindir}/dukpy
%{python_sitearch}/*

%changelog
* Thu Aug 16 2018 jengelh@inai.de
- Ensure neutrality of description.
* Tue Aug  7 2018 toddrme2178@gmail.com
- Initial version
